Search documentation of wx

# View Source wxFontDialog (wx v2.4.2)

Functions for wxFontDialog class

This class represents the font chooser dialog.

See: Overview cmndlg, `wxFontData`, ?wxGetFontFromUser()

This class is derived (and can use functions) from: `wxDialog` `wxTopLevelWindow` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxFontDialog

# Summary

## Types

wxFontDialog()

## Functions

create(This, Parent, Data)

Creates the dialog if the `wxFontDialog` object had been initialized using the default constructor.

destroy(This)

Destroys the object.

getFontData(This)

Returns the `wxFontData` associated with the font dialog.

new()

Default ctor.

new(Parent, Data)

Constructor.

# Types

Link to this type

# wxFontDialog()

View Source

    -type wxFontDialog() :: wx:wx_object().

# Functions

Link to this function

# create(This, Parent, Data)

View Source

    -spec create(This, Parent, Data) -> boolean()
                    when
                        This :: wxFontDialog(),
                        Parent :: wxWindow:wxWindow(),
                        Data :: wxFontData:wxFontData().

Creates the dialog if the `wxFontDialog` object had been initialized using the default constructor.

Return: true on success and false if an error occurred.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxFontDialog()) -> ok.

Destroys the object.

Link to this function

# getFontData(This)

View Source

    -spec getFontData(This) -> wxFontData:wxFontData() when This :: wxFontDialog().

Returns the `wxFontData` associated with the font dialog.

Link to this function

# new()

View Source

    -spec new() -> wxFontDialog().

Default ctor.

`create/3` must be called before the dialog can be shown.

Link to this function

# new(Parent, Data)

View Source

    -spec new(Parent, Data) -> wxFontDialog()
                 when Parent :: wxWindow:wxWindow(), Data :: wxFontData:wxFontData().

Constructor.

Pass a parent window, and the `wxFontData` object to be used to initialize the dialog controls.